Difference between revisions of "Draft SetWorkingPlaneProxy/de"

From FreeCAD Documentation
Jump to navigation Jump to search
(Created page with "==Anwendung== # Stelle sicher, dass die Arbeitsebene so eingestellt ist, wie Du willst. # Dann gehe zum Menü {{MenuCommand/de|Draft → Utilities → ...")
(Updating to match new version of source page)
 
(9 intermediate revisions by 3 users not shown)
Line 1: Line 1:
 
<languages/>
 
<languages/>
{{Docnav|[[Draft AutoGroup|AutoGroup]]|[[Draft_AddConstruction|Add to Construction group]]|[[Draft_Module|Draft]]|IconL=Draft_AutoGroup.svg|IconC=Workbench_Draft.svg|IconR=Draft_AddConstruction.png}}
+
<div class="mw-translate-fuzzy">
 +
{{Docnav/de
 +
|[[Draft AutoGroup|AutoGroup]]
 +
|[[Draft_AddConstruction|Add to Construction group]]
 +
|[[Draft_Module|Draft]]
 +
|IconL=Draft_AutoGroup.svg
 +
|IconC=Workbench_Draft.svg
 +
|IconR=Draft_AddConstruction.png
 +
}}
 +
</div>
  
{{GuiCommand
+
<div class="mw-translate-fuzzy">
|Name=Draft SetWorkingPlaneProxy
+
{{GuiCommand/de
 +
|Name/de=Entwurf SetzeArbeitsEbeneProxy
 
|MenuLocation=Draft → Utilities → Create WP Proxy
 
|MenuLocation=Draft → Utilities → Create WP Proxy
 
|Workbenches=[[Draft Module|Draft]], [[Arch Module|Arch]]
 
|Workbenches=[[Draft Module|Draft]], [[Arch Module|Arch]]
 
|SeeAlso=[[Draft SelectPlane]]
 
|SeeAlso=[[Draft SelectPlane]]
 
}}
 
}}
 +
</div>
 +
 +
==Description==
  
 +
<div class="mw-translate-fuzzy">
 
==Beschreibung====
 
==Beschreibung====
 
Dieser Befehl platziert ein Ebenen Proxy Objekt, das auf die aktuelle [[Draft SelectPlane/de|Arbeitsebene]] ausgerichtet ist.
 
Dieser Befehl platziert ein Ebenen Proxy Objekt, das auf die aktuelle [[Draft SelectPlane/de|Arbeitsebene]] ausgerichtet ist.
 +
</div>
  
 +
<div class="mw-translate-fuzzy">
 
Dieses Proxy Objekt kann wie eine Fläche verwendet werden, um mit dem  [[Draft SelectPlane/de]] Werkzeug die Bearbeitungsebene schnell zu wechseln. Die Kameraposition und Sichtbarkeit der Objekte in der 3D Ansicht kann im Proxy Objekt gespeichert und bei Verwendung des Werkzeugs [[Draft SelectPlane/de]] jederzeit wiederhergestellt werden.
 
Dieses Proxy Objekt kann wie eine Fläche verwendet werden, um mit dem  [[Draft SelectPlane/de]] Werkzeug die Bearbeitungsebene schnell zu wechseln. Die Kameraposition und Sichtbarkeit der Objekte in der 3D Ansicht kann im Proxy Objekt gespeichert und bei Verwendung des Werkzeugs [[Draft SelectPlane/de]] jederzeit wiederhergestellt werden.
 +
</div>
  
 
[[Image:Draft WPProxy example.png|400px]]
 
[[Image:Draft WPProxy example.png|400px]]
 
{{Caption|Drei Proxies der Bearbeitungsebene mit unterschiedlichen Ausrichtungen und Versätzen}}
 
{{Caption|Drei Proxies der Bearbeitungsebene mit unterschiedlichen Ausrichtungen und Versätzen}}
  
 +
==Usage==
 +
 +
<div class="mw-translate-fuzzy">
 
==Anwendung==
 
==Anwendung==
 
# Stelle sicher, dass die [[Draft SelectPlane|Arbeitsebene]] so eingestellt ist, wie Du willst.
 
# Stelle sicher, dass die [[Draft SelectPlane|Arbeitsebene]] so eingestellt ist, wie Du willst.
 
# Dann gehe zum Menü {{MenuCommand/de|Draft → Utilities → [[Image:Draft SetWorkingPlaneProxy.png|16px]] [[Draft SetWorkingPlaneProxy|Arbeitsebenen Proxy erstellen]]}}.
 
# Dann gehe zum Menü {{MenuCommand/de|Draft → Utilities → [[Image:Draft SetWorkingPlaneProxy.png|16px]] [[Draft SetWorkingPlaneProxy|Arbeitsebenen Proxy erstellen]]}}.
 +
</div>
  
Notes:
+
==Notes==
* The working plane stored in the Proxy object can be restored by double-clicking the object in the tree view, or by selecting the Proxy object and using the {{Button|[[Image:Draft SelectPlane.svg|16px]] [[Draft SelectPlane]]}} button.
+
* The working plane stored in the Proxy object can be restored by double-clicking the object in the tree view, or by selecting the Proxy object and using the {{Button|[[Image:Draft SelectPlane.svg|16px]] [[Draft_SelectPlane|Draft SelectPlane]]}} button.
 
* The position of the camera is stored in the Proxy object upon creation. This position can be updated anytime: zoom, pan and rotate the view as you wish, then right-click the Proxy object in the tree view, and select {{Button|[[Image:Draft SelectPlane.svg|16px]] Write camera position}}.
 
* The position of the camera is stored in the Proxy object upon creation. This position can be updated anytime: zoom, pan and rotate the view as you wish, then right-click the Proxy object in the tree view, and select {{Button|[[Image:Draft SelectPlane.svg|16px]] Write camera position}}.
 
* The visibility state of all objects is also stored in the Proxy object upon creation. This state can be updated anytime: set the {{PropertyView|Visibility}} property of the objects to {{TRUE}} or {{FALSE}} as desired, then right-click the Proxy object in the tree view, and select {{Button|[[Image:Draft SelectPlane.svg|16px]] Write objects state}}.
 
* The visibility state of all objects is also stored in the Proxy object upon creation. This state can be updated anytime: set the {{PropertyView|Visibility}} property of the objects to {{TRUE}} or {{FALSE}} as desired, then right-click the Proxy object in the tree view, and select {{Button|[[Image:Draft SelectPlane.svg|16px]] Write objects state}}.
* Plane proxies can be moved and rotated like any other object so that they define the desired working plane. Their visual appearance can also be changed in the [[property editor]].
+
* Plane proxies can be moved and rotated like any other object so that they define the desired working plane. Their visual appearance can also be changed in the [[Property_editor/fr|Éditeur de propriétés]].
  
==Properties==
+
==Eigenschaften==
  
 
=== Data ===
 
=== Data ===
Line 39: Line 60:
 
* {{PropertyView|Arrow Size}}: specifies the size of the arrows indicating the three axes of the plane proxy.
 
* {{PropertyView|Arrow Size}}: specifies the size of the arrows indicating the three axes of the plane proxy.
 
* {{PropertyView|Restore View}}: if it is {{TRUE}} the camera position will be restored to the saved position when using the proxy with {{Button|[[Image:Draft SelectPlane.svg|16px]] [[Draft SelectPlane]]}} or by double-clicking on it.
 
* {{PropertyView|Restore View}}: if it is {{TRUE}} the camera position will be restored to the saved position when using the proxy with {{Button|[[Image:Draft SelectPlane.svg|16px]] [[Draft SelectPlane]]}} or by double-clicking on it.
* {{PropertyView|Restore State}}: if it is {{TRUE}} the visibility state of all objects will be restored to the saved state when using the proxy with {{Button|[[Image:Draft SelectPlane.svg|16px]] [[Draft SelectPlane]]}} or by double-clicking on it.
+
* {{PropertyView|Restore State}}: if it is {{TRUE}} the visibility state of all objects will be restored to the saved state when using the proxy with {{Button|[[Image:Draft SelectPlane.svg|16px]] [[Draft_SelectPlane|Draft SelectPlane]]}} or by double-clicking on it.
  
 
==Scripting==
 
==Scripting==
  
{{Emphasis|See also:}} [[Draft API]] and [[FreeCAD Scripting Basics]].
+
{{Emphasis|See also:}} [[Draft_API|Draft API]] and [[FreeCAD_Scripting_Basics|FreeCAD Scripting Basics]].
  
Working plane proxy objects can be used in [[macros]] and from the [[Python]] console by using the following function:  
+
Working plane proxy objects can be used in [[Macros|macros]] and from the [[Python|Python]] console by using the following function:  
 
{{Code|code=
 
{{Code|code=
 
WPProxy = makeWorkingPlaneProxy(placement)
 
WPProxy = makeWorkingPlaneProxy(placement)
Line 88: Line 109:
 
}}
 
}}
  
{{Docnav|[[Draft AutoGroup|AutoGroup]]|[[Draft_AddConstruction|Add to Construction group]]|[[Draft_Module|Draft]]|IconL=Draft_AutoGroup.svg|IconC=Workbench_Draft.svg|IconR=Draft_AddConstruction.png}}
+
<div class="mw-translate-fuzzy">
 +
{{Docnav/de
 +
|[[Draft AutoGroup|AutoGroup]]
 +
|[[Draft_AddConstruction|Add to Construction group]]
 +
|[[Draft_Module|Draft]]
 +
|IconL=Draft_AutoGroup.svg
 +
|IconC=Workbench_Draft.svg
 +
|IconR=Draft_AddConstruction.png
 +
}}
 +
</div>
  
{{Draft Tools navi}}
 
  
{{Userdocnavi}}
+
{{Draft Tools navi{{#translation:}}}}
{{clear}}
+
{{Userdocnavi{{#translation:}}}}

Latest revision as of 14:46, 1 December 2020

Other languages:
Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎română • ‎русский

Official icon not found Entwurf SetzeArbeitsEbeneProxy

Menüeintrag
Draft → Utilities → Create WP Proxy
Arbeitsbereich
Draft, Arch
Standardtastenkürzel
None
In der Version eingeführt
-
Siehe auch
Draft SelectPlane


Description

Beschreibung==

Dieser Befehl platziert ein Ebenen Proxy Objekt, das auf die aktuelle Arbeitsebene ausgerichtet ist.

Dieses Proxy Objekt kann wie eine Fläche verwendet werden, um mit dem Draft SelectPlane/de Werkzeug die Bearbeitungsebene schnell zu wechseln. Die Kameraposition und Sichtbarkeit der Objekte in der 3D Ansicht kann im Proxy Objekt gespeichert und bei Verwendung des Werkzeugs Draft SelectPlane/de jederzeit wiederhergestellt werden.

Draft WPProxy example.png

Drei Proxies der Bearbeitungsebene mit unterschiedlichen Ausrichtungen und Versätzen


Usage

Anwendung

  1. Stelle sicher, dass die Arbeitsebene so eingestellt ist, wie Du willst.
  2. Dann gehe zum Menü Draft → Utilities → Draft SetWorkingPlaneProxy.png Arbeitsebenen Proxy erstellen.

Notes

  • The working plane stored in the Proxy object can be restored by double-clicking the object in the tree view, or by selecting the Proxy object and using the Draft SelectPlane.svg Draft SelectPlane button.
  • The position of the camera is stored in the Proxy object upon creation. This position can be updated anytime: zoom, pan and rotate the view as you wish, then right-click the Proxy object in the tree view, and select Draft SelectPlane.svg Write camera position.
  • The visibility state of all objects is also stored in the Proxy object upon creation. This state can be updated anytime: set the ViewVisibility property of the objects to true or false as desired, then right-click the Proxy object in the tree view, and select Draft SelectPlane.svg Write objects state.
  • Plane proxies can be moved and rotated like any other object so that they define the desired working plane. Their visual appearance can also be changed in the Éditeur de propriétés.

Eigenschaften

Data

  • DataPlacement: specifies the position of the proxy object and the corresponding working plane.
    • DataPosition: specifies the coordinates of the proxy object.
    • DataAngle: specifies the rotation angle of the proxy object.
    • DataAxis: specifies the axis to use for the rotation angle.

View

  • ViewDisplay Size: specifies both length and width of the proxy object. If the object is created in the tree view but no element is visible in the 3D view, increase this value until it is visible.
  • ViewArrow Size: specifies the size of the arrows indicating the three axes of the plane proxy.
  • ViewRestore View: if it is true the camera position will be restored to the saved position when using the proxy with Draft SelectPlane.svg Draft SelectPlane or by double-clicking on it.
  • ViewRestore State: if it is true the visibility state of all objects will be restored to the saved state when using the proxy with Draft SelectPlane.svg Draft SelectPlane or by double-clicking on it.

Scripting

See also: Draft API and FreeCAD Scripting Basics.

Working plane proxy objects can be used in macros and from the Python console by using the following function:

WPProxy = makeWorkingPlaneProxy(placement)
  • Creates a WPProxy object from the given placement which is a FreeCAD.Placement.
    • A placement is defined by a base point, given by its FreeCAD.Vector, and a FreeCAD.Rotation.

The size of the Plane Proxy can be changed by overwriting its ViewObject.DisplaySize and ViewObject.ArrowSize attributes, with units in millimeters.

The Plane Proxy has a "Face" object as its Shape attribute. This face can be used to set the current working plane by calling its alignToFace() method.

Example:

import FreeCAD, FreeCADGui, Draft

currentWP = FreeCAD.DraftWorkingPlane
place = currentWP.getPlacement()

WPProxy = Draft.makeWorkingPlaneProxy(place)
WPProxy.ViewObject.DisplaySize = 3000
WPProxy.ViewObject.ArrowSize = 200

YAxis = FreeCAD.Vector(0, 1, 0)
point2 = FreeCAD.Vector(3000, 0, 0)
place2 = FreeCAD.Placement(point2, FreeCAD.Rotation(YAxis, 90))

WPProxy2 = Draft.makeWorkingPlaneProxy(place2)
WPProxy2.ViewObject.DisplaySize = 3000
WPProxy2.ViewObject.ArrowSize = 200

Axis = FreeCAD.Vector(1, 1, 1)
point3 = FreeCAD.Vector(-3000, 3000, 0)
place3 = FreeCAD.Placement(point3, FreeCAD.Rotation(Axis, 90))

WPProxy3 = Draft.makeWorkingPlaneProxy(place3)
WPProxy3.ViewObject.DisplaySize = 3000
WPProxy3.ViewObject.ArrowSize = 200
FreeCAD.ActiveDocument.recompute()

currentWP.alignToFace(WPProxy3.Shape)
FreeCADGui.Snapper.setGrid()